import { Subscriber, Unsubscribe, Actions, Action, BoundActions, StoreConfig } from './types';
export declare class LemonState<T, A> {
    private config;
    actions: BoundActions<A>;
    isRemoved: boolean;
    private store;
    private devTools;
    constructor(initial: T, actions?: Actions<T, A>, config?: StoreConfig);
    dispatch: (actionFunction: Action<T>, payload?: any) => any;
    subscribe(subscriber: Subscriber<T>): Unsubscribe;
    smartSubscribe(subscriber: Subscriber<T>): Unsubscribe;
    getState: () => import("./types").State<T>;
    setState: (diff: Partial<T>) => void;
    remove(): void;
}
