import { Subscriber, Unsubscribe, State } from './types';
export declare class LemonStore<T> {
    name: string;
    private stateValues;
    private subscribers;
    private id;
    private proxy;
    private smartSubscriber;
    isRemoved: boolean;
    constructor(initialState: T, name?: string);
    getState: () => State<T>;
    subscribe: (fn: Subscriber<T>) => Unsubscribe;
    smartSubscribe: (fn: Subscriber<T>) => Unsubscribe;
    setState: (diff: Partial<T>) => void;
    remove(): void;
}
