"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const valueCreator_1 = require("./valueCreator");
const dependencyWorker_1 = require("./dependencyWorker");
exports.createWorkers = (sharedData) => {
    const depWorker = dependencyWorker_1.getDependencyWorker(sharedData);
    const valGetter = (valueId) => () => depWorker.getDataWithListeningDependencies(valueId);
    const valCreator = valueCreator_1.getValueCreator(sharedData, valGetter);
    return Object.assign(Object.assign({}, depWorker), valCreator);
};
